Bug 1047704 - [abrt] seahorse: seahorse_exportable_prompt(): seahorse killed by SIGSEGV
Summary: [abrt] seahorse: seahorse_exportable_prompt(): seahorse killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: seahorse
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0a9d48c7c65c5704c55ba5b652d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-01 21:59 UTC by Maël Lavault
Modified: 2015-06-29 14:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:02:11 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.40 KB, text/plain)
2014-01-01 21:59 UTC, Maël Lavault
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-01 21:59 UTC, Maël Lavault
no flags Details
File: core_backtrace (19.44 KB, text/plain)
2014-01-01 21:59 UTC, Maël Lavault
no flags Details
File: dso_list (12.77 KB, text/plain)
2014-01-01 22:00 UTC, Maël Lavault
no flags Details
File: environ (1.08 KB, text/plain)
2014-01-01 22:00 UTC, Maël Lavault
no flags Details
File: exploitable (107 bytes, text/plain)
2014-01-01 22:00 UTC, Maël Lavault
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-01 22:00 UTC, Maël Lavault
no flags Details
File: maps (68.51 KB, text/plain)
2014-01-01 22:00 UTC, Maël Lavault
no flags Details
File: open_fds (1.60 KB, text/plain)
2014-01-01 22:00 UTC, Maël Lavault
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2014-01-01 22:00 UTC, Maël Lavault
no flags Details
File: var_log_messages (324 bytes, text/plain)
2014-01-01 22:00 UTC, Maël Lavault
no flags Details

Description Maël Lavault 2014-01-01 21:59:50 UTC
Description of problem:
Just clicked "export the whole key" (translation is probably approximative) in the detail tab, on my id_dsa ssh key. It also happens with my id_rsa ssh key.

Version-Release number of selected component:
seahorse-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/seahorse --no-window
crash_function: seahorse_exportable_prompt
executable:     /usr/bin/seahorse
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 seahorse_exportable_prompt at /data/projects/seahorse/common/exportable.vala:202
 #1 on_ssh_export_button_clicked at seahorse-ssh-key-properties.c:225
 #2 _g_closure_invoke_va at gclosure.c:840
 #5 gtk_real_button_released at gtkbutton.c:2106
 #10 gtk_button_button_release at gtkbutton.c:1938
 #11 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #12 _g_closure_invoke_va at gclosure.c:840
 #15 gtk_widget_event_internal at gtkwidget.c:7168
 #16 gtk_widget_event at gtkwidget.c:6830
 #17 propagate_event_up at gtkmain.c:2391

Comment 1 Maël Lavault 2014-01-01 21:59:55 UTC
Created attachment 844280 [details]
File: backtrace

Comment 2 Maël Lavault 2014-01-01 21:59:56 UTC
Created attachment 844281 [details]
File: cgroup

Comment 3 Maël Lavault 2014-01-01 21:59:59 UTC
Created attachment 844282 [details]
File: core_backtrace

Comment 4 Maël Lavault 2014-01-01 22:00:01 UTC
Created attachment 844283 [details]
File: dso_list

Comment 5 Maël Lavault 2014-01-01 22:00:03 UTC
Created attachment 844284 [details]
File: environ

Comment 6 Maël Lavault 2014-01-01 22:00:05 UTC
Created attachment 844285 [details]
File: exploitable

Comment 7 Maël Lavault 2014-01-01 22:00:07 UTC
Created attachment 844286 [details]
File: limits

Comment 8 Maël Lavault 2014-01-01 22:00:09 UTC
Created attachment 844287 [details]
File: maps

Comment 9 Maël Lavault 2014-01-01 22:00:13 UTC
Created attachment 844288 [details]
File: open_fds

Comment 10 Maël Lavault 2014-01-01 22:00:18 UTC
Created attachment 844289 [details]
File: proc_pid_status

Comment 11 Maël Lavault 2014-01-01 22:00:20 UTC
Created attachment 844290 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:16:59 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:02:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.